Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class UnfoldingReader

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              java.io.PushbackReader
                  net.fortuna.ical4j.data.UnfoldingReader

All Implemented Interfaces:
  Closeable, Readable

    public class UnfoldingReader

extends PushbackReader

A reader which performs iCalendar unfolding as it reads. Note that unfolding rules may be "relaxed" to allow unfolding of non-conformant *.ics files. By specifying the system property "ical4j.unfolding.relaxed=true" iCalendar files created with Mozilla Calendar/Sunbird may be correctly unfolded.

Author:
  Ben Fortuna

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`UnfoldingReader(Reader in)` Creates a new unfolding reader instance.
`UnfoldingReader(Reader in, boolean relaxed)` Creates a new unfolding reader instance.

Method Summary
`int` | `getLinesUnfolded()`
`int` | `read()`

Methods inherited from class java.io.PushbackReader
`close, mark, markSupported, read, ready, reset, skip, unread, unread, unread`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnfoldingReader

    public UnfoldingReader(Reader in)

  Creates a new unfolding reader instance. Relaxed unfolding flag is read from system property.

  Parameters:
    `in` - the reader to unfold from

### UnfoldingReader

    public UnfoldingReader(Reader in,
                           boolean relaxed)

  Creates a new unfolding reader instance.

  Parameters:
    `in` - a reader to read from
    `relaxed` - specifies whether unfolding is relaxed

Method Detail

### getLinesUnfolded

    public final int getLinesUnfolded()

  Returns:
    number of lines unfolded so far while reading

### read

    public final int read()
                   throws IOException

  Overrides:
    `read` in class `PushbackReader`
  Throws:
    `IOException`
  See Also:
    `PushbackReader.read()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.